PermalinkFor static websites & blogs

  • Webspace with a hosting provider of your choice
  • A domain and a MySQL database
  • PHP version 5.2.4 or higher
  • MySQL version 5.0 or higher
  • The Apache mod_rewrite module for “nicer URLs”
  • A WordPress installation with WordPress version 4.0 or higher (always best to have the current version)

PermalinkFor shops (additionally)

  • WooCommerce in its latest version – the leading plugin for shop systems with WordPress
  • WooCommerce German Market (optional) – our plugin for the easy implementation of legal requirements for online shops in the German jurisdiction
  • An SSL certificate (optional, but recommended)

You need more functionality for your shop? You can find more WooCommerce plugins here.

PermalinkFor multilingual websites

As in static websites and blogs, but with

  • WordPress Multisite installation
  • more domains/subdomains for the various languages as needed
  • our plugin MultilingualPress for multilingual content
Please contact the support of your hosting provider with any questions regarding the selection of a hosting package to suit your requirements. Keep your WordPress installation, your theme, and all plugins updated at all times to prevent problems.